// =======================================================================
// 
//       Filename:  printable.hpp
// 
//    Description:  
// 
//        Version:  1.0
//        Created:  04.07.2010 16:59:59
//       Revision:  none
//       Compiler:  g++
// 
//         Author:  Dominik 'domachine' Burgdörfer (-), dominik.burgdoerfer@googlemail.com
//        Company:  -
// 
// =======================================================================


#ifndef  PRINTABLE_INC
#define  PRINTABLE_INC
#include <ostream>
#include <boost/shared_ptr.hpp>

namespace wesl {
    namespace elements {
        class Element;

        class Printable {
        public:
            Printable(Element* base);
            virtual void print(std::ostream& stream) = 0;
        };

        typedef boost::shared_ptr<Printable> PrintablePtr;
    }
}
#endif   // ----- #ifndef PRINTABLE_INC  -----
