// =======================================================================
// 
//       Filename:  statement.cpp
// 
//    Description:  
// 
//        Version:  1.0
//        Created:  18.06.2010 11:36:07
//       Revision:  none
//       Compiler:  g++
// 
//         Author:  Dominik 'domachine' Burgdörfer (-), dominik.burgdoerfer@googlemail.com
//        Company:  -
// 
// =======================================================================

#include "statement.hpp"
#include "../types/object.hpp"

using namespace std;

namespace wesl {
    namespace elements {
        Statement::Statement(Statement::Type type)
            : Element(Element::STATEMENT), m_type(type)
        {

        }

        Statement::Statement(ElementStack& parent, Statement::Type type)
            : Element(parent, Element::STATEMENT), m_type(type)
        {

        }

        Statement::Type Statement::statementType() const
        {
            return m_type;
        }

        void Statement::print(ostream& stream) {
            resolve()->print(stream);
        }
    }
}
