// =======================================================================
// 
//       Filename:  exception.cpp
// 
//    Description:  
// 
//        Version:  1.0
//        Created:  12.05.2010 21:05:10
//       Revision:  none
//       Compiler:  g++
// 
//         Author:  Dominik 'domachine' Burgdörfer (-), dominik.burgdoerfer@googlemail.com
//        Company:  -
// 
// =======================================================================

#include "exception.hpp"

using namespace std;

namespace wesl {
    namespace exceptions {
        Exception::Exception(const string& whatArg)
            : m_what(whatArg)
        {

        }

        Exception::~Exception() throw()
        {

        }

        const char* Exception::what() const throw()
        {
            return m_what.c_str();
        }

        std::string Exception::whatStr() const
        {
            return m_what;
        }
    }
}
