// =======================================================================
// 
//       Filename:  exception.hpp
// 
//    Description:  
// 
//        Version:  1.0
//        Created:  12.05.2010 21:02:20
//       Revision:  none
//       Compiler:  g++
// 
//         Author:  Dominik 'domachine' Burgdörfer (-), dominik.burgdoerfer@googlemail.com
//        Company:  -
// 
// =======================================================================


#ifndef  EXCEPTIONS_EXCEPTION_INC
#define  EXCEPTIONS_EXCEPTION_INC
#include <iostream>
#include <stdexcept>

namespace wesl {
    namespace exceptions {
        class Exception : public std::exception {
        public:
            explicit Exception(const std::string& whatArg);

            ~Exception() throw();

            const char* what() const throw();

            std::string whatStr() const;

        private:
            std::string m_what;
        };
    }
}
#endif   // ----- #ifndef EXCEPTIONS_EXCEPTION_INC  -----
