// =======================================================================
// 
//       Filename:  float.cpp
// 
//    Description:  
// 
//        Version:  1.0
//        Created:  24.04.2010 00:48:51
//       Revision:  none
//       Compiler:  g++
// 
//         Author:  Dominik 'domachine' Burgdörfer (-), dominik.burgdoerfer@googlemail.com
//        Company:  -
// 
// =======================================================================

#include "float.hpp"

namespace wesl {
    namespace types {
        Float::Float(double f)
            : Object(FLOAT), mDouble(f)
        {

        }

        Float::operator float() {
            return mDouble;
        }

        void Float::print(std::ostream& stream) {
            stream << static_cast<float>(*this);
        }
    }
}
