// =======================================================================
// 
//       Filename:  object.cpp
// 
//    Description:  
// 
//        Version:  1.0
//        Created:  23.04.2010 22:07:36
//       Revision:  none
//       Compiler:  g++
// 
//         Author:  Dominik 'domachine' Burgdörfer (-), dominik.burgdoerfer@googlemail.com
//        Company:  -
// 
// =======================================================================

#include "object.hpp"
#include <sstream>

using namespace std;

namespace wesl {
    namespace types {
        Object::Object(Object::Type type)
            : mType(type)
        {

        }

        Object::~Object() {

        }

        void Object::setType(Object::Type type) {
            mType = type;
        }

        Object::Type Object::objectType() const
        {
            return mType;
        }

        string Object::toString() {
            ostringstream oss;

            print(oss);

            return oss.str();
        }
    }
}
