// =======================================================================
// 
//       Filename:  void.hpp
// 
//    Description:  
// 
//        Version:  1.0
//        Created:  17.06.2010 06:38:53
//       Revision:  none
//       Compiler:  g++
// 
//         Author:  Dominik 'domachine' Burgdörfer (-), dominik.burgdoerfer@googlemail.com
//        Company:  -
// 
// =======================================================================


#ifndef  TYPES_VOID_INC
#define  TYPES_VOID_INC
#include "object.hpp"
#include <ostream>

namespace wesl {
    namespace elements {
        class ObjectWrapper;
        typedef boost::shared_ptr<ObjectWrapper>
                                    ObjectWrapperPtr;
    }
    
    namespace types {
        class Void : public Object
        {
        public:
            Void();

            void print(std::ostream& stream);
        };

        typedef boost::shared_ptr<Void> VoidPtr;

        VoidPtr voidPtr();

        elements::ObjectWrapperPtr voidElement();
    }
}
#endif   // ----- #ifndef TYPES_VOID_INC  -----
