// =======================================================================
// 
//       Filename:  regexitermatch.cpp
// 
//    Description:  
// 
//        Version:  1.0
//        Created:  09.05.2010 15:58:57
//       Revision:  none
//       Compiler:  g++
// 
//         Author:  Dominik 'domachine' Burgdörfer (-), dominik.burgdoerfer@googlemail.com
//        Company:  -
// 
// =======================================================================

#include "regexitermatch.hpp"
#include "citerator.hpp"

namespace wesl {
    namespace utils {
        bool regexIterMatch(CIterator& iter,
                            const boost::regex& regex) {
            std::string str;

            str.push_back(iter.currentChar());
            return boost::regex_match(str, regex);
        }
    }
}
