// =======================================================================
// 
//       Filename:  configparser.hpp
// 
//    Description:  
// 
//        Version:  1.0
//        Created:  30.05.2010 21:13:48
//       Revision:  none
//       Compiler:  g++
// 
//         Author:  Dominik 'domachine' Burgdörfer (-), dominik.burgdoerfer@googlemail.com
//        Company:  -
// 
// =======================================================================


#ifndef  CONFIG_CONFIGPARSER_INC
#define  CONFIG_CONFIGPARSER_INC
#include <boost/filesystem/path.hpp>
#include <map>

namespace webplodder {
    class ConfigFile;

    class ConfigParser {
        public:
            ConfigParser();

            void parseScriptRules(const boost::filesystem::path& filePath,
                    std::map<std::string,std::string>& stdMap);
    };
}
#endif   // ----- #ifndef CONFIG_CONFIGPARSER_INC  -----
