// =======================================================================
// 
//       Filename:  systemerror.cpp
// 
//    Description:  
// 
//        Version:  1.0
//        Created:  12.05.2010 17:30:22
//       Revision:  none
//       Compiler:  g++
// 
//         Author:  Dominik 'domachine' Burgdörfer (-), dominik.burgdoerfer@googlemail.com
//        Company:  -
// 
// =======================================================================

#include "systemerror.hpp"
#include <cstring>

using namespace std;

namespace webplodder {
    namespace exceptions {
        SystemError::SystemError(const string& what,
                                 int errnoArg)
            : Exception(what + ": " + strerror(errnoArg))
        {
        }
    }
}
