// =======================================================================
// 
//       Filename:  systemerror.hpp
// 
//    Description:  
// 
//        Version:  1.0
//        Created:  12.05.2010 17:28:23
//       Revision:  none
//       Compiler:  g++
// 
//         Author:  Dominik 'domachine' Burgdörfer (-), dominik.burgdoerfer@googlemail.com
//        Company:  -
// 
// =======================================================================


#ifndef  EXCEPTIONS_SYSTEMERROR_INC
#define  EXCEPTIONS_SYSTEMERROR_INC
#include <wesl/exceptions/exception.hpp>
#include <stdexcept>
#include <iostream>
#include <cerrno>

namespace webplodder {
    namespace exceptions {
        class SystemError : public ::wesl::exceptions::Exception
        {
        public:
            SystemError(const std::string& what,
                        int errnoArg = errno);
        };
    }
}
#endif   // ----- #ifndef SYSTEMERROR_INC  -----
