// =======================================================================
// 
//       Filename:  node.cpp
// 
//    Description:  
// 
//        Version:  1.0
//        Created:  25.04.2010 14:58:44
//       Revision:  none
//       Compiler:  g++
// 
//         Author:  Dominik 'domachine' Burgdörfer (-), dominik.burgdoerfer@googlemail.com
//        Company:  -
// 
// =======================================================================

#include "node.hpp"

namespace fs = boost::filesystem;

namespace webplodder {
    namespace navigation {
        Node::Node(const std::string& title,
                      const fs::path& href,
                      int pos)
            : m_title(title),
            m_href(href),
            m_pos(pos)
        {

        }

        std::string Node::title() const
        {
            return m_title;
        }

        fs::path Node::href() const
        {
            return m_href;
        }

        int Node::pos() const
        {
            return m_pos;
        }
    }
}
