// =======================================================================
// 
//       Filename:  pluginobject.hpp
// 
//    Description:  
// 
//        Version:  1.0
//        Created:  17.04.2010 17:50:47
//       Revision:  none
//       Compiler:  g++
// 
//         Author:  Dominik 'domachine' Burgdörfer (-), dominik.burgdoerfer@googlemail.com
//        Company:  -
// 
// =======================================================================


#ifndef  PLUGINOBJECT_INC
#define  PLUGINOBJECT_INC
#include "page/page.hpp"
#include <fstream>
#include <vector>
#include <boost/any.hpp>
#define WP_EXPORT_PLUGIN(plugin) \
    extern "C" { \
        webplodder::PluginObject * newInstance(); \
    } \
\
    webplodder::PluginObject * newInstance() { \
        return new plugin; \
    }
namespace webplodder {
    /**
     * @brief Plugin interface. All plugins
     *      must inherit this class.
     */
    class PluginObject {
    public:
        virtual void launch(page::Page&, wesl::CallInfo& callInfo);
    };
}
#endif   // ----- #ifndef PLUGINOBJECT_INC  -----
