// =======================================================================
// 
//       Filename:  popen2.hpp
// 
//    Description:  
// 
//        Version:  1.0
//        Created:  11.04.2010 21:41:07
//       Revision:  none
//       Compiler:  g++
// 
//         Author:  Dominik 'domachine' Burgdörfer (-), dominik.burgdoerfer@googlemail.com
//        Company:  -
// 
// =======================================================================


#ifndef  POPEN2_INC
#define  POPEN2_INC
#include <unistd.h>
#define READ 0
#define WRITE 1

namespace webplodder {
    namespace process {
        /**
         * @brief Spawn a process for read and write operations.
         * @param command The system command
         * @param infp The input file descriptor
         * @param outfp The output file descriptor
         */
        pid_t popen2(const char *command, int *infp, int *outfp);
    }
}
#endif   // ----- #ifndef POPEN2_INC  -----
