// =======================================================================
// 
//       Filename:  pathlist.cpp
// 
//    Description:  
// 
//        Version:  1.0
//        Created:  09.05.2010 22:58:47
//       Revision:  none
//       Compiler:  g++
// 
//         Author:  Dominik 'domachine' Burgdörfer (-), dominik.burgdoerfer@googlemail.com
//        Company:  -
// 
// =======================================================================

#include "pathlist.hpp"
#include <boost/foreach.hpp>
#include <boost/filesystem/operations.hpp>

#define foreach BOOST_FOREACH

namespace fs = boost::filesystem;
using namespace std;

namespace webplodder {
    namespace utils {
        PathList::PathList() {

        }

        bool PathList::contains(const fs::path& path) {
            foreach(fs::path& p, *this) {
                if(fs::equivalent(p, path))
                    return true;
            }

            return false;
        }
    }
}
