// =======================================================================
// 
//       Filename:  callable.hpp
// 
//    Description:  
// 
//        Version:  1.0
//        Created:  04.07.2010 17:35:39
//       Revision:  none
//       Compiler:  g++
// 
//         Author:  Dominik 'domachine' Burgdörfer (-), dominik.burgdoerfer@googlemail.com
//        Company:  -
// 
// =======================================================================


#ifndef  CALLABLE_INC
#define  CALLABLE_INC
#include <boost/shared_ptr.hpp>

namespace wesl {
    namespace elements {
        class Element;

        class Callable {
        public:
            Callable(Element* base);

            virtual void call() = 0;
        };
        
        typedef boost::shared_ptr<Callable> CallablePtr;
    }
}
#endif   // ----- #ifndef CALLABLE_INC  -----
