// =======================================================================
// 
//       Filename:  returnstatement.hpp
// 
//    Description:  
// 
//        Version:  1.0
//        Created:  18.06.2010 12:34:25
//       Revision:  none
//       Compiler:  g++
// 
//         Author:  Dominik 'domachine' Burgdörfer (-), dominik.burgdoerfer@googlemail.com
//        Company:  -
// 
// =======================================================================


#ifndef  ELEMENTS_RETURNSTATEMENT_INC
#define  ELEMENTS_RETURNSTATEMENT_INC
#include "element.hpp"
#include "callable.hpp"

namespace wesl {
    namespace elements {
        class ReturnStatement : public Element,
                                public Callable
        {
        public:
            ReturnStatement(ElementStack& parent);
            ReturnStatement(ElementStack& parent,
                            ElementPtr element);

            void call();

            void setElement(ElementPtr element);

        private:
            ElementPtr m_element;
        };
    }
}
#endif   // ----- #ifndef ELEMENTS_RETURNSTATEMENT_INC  -----
