// =======================================================================
// 
//       Filename:  parsingerror.cpp
// 
//    Description:  
// 
//        Version:  1.0
//        Created:  10.05.2010 22:19:12
//       Revision:  none
//       Compiler:  g++
// 
//         Author:  Dominik 'domachine' Burgdörfer (-), dominik.burgdoerfer@googlemail.com
//        Company:  -
// 
// =======================================================================

#include "parsingerror.hpp"

namespace fs = boost::filesystem;
using namespace std;

namespace wesl {
    namespace exceptions {
        ParsingError::ParsingError(const fs::path& file,
                                   const string& whatArg)
            : Exception(whatArg), m_file(file)
        {

        }

        const fs::path& ParsingError::file() const
        {
            return m_file;
        }
    }
}
