// =======================================================================
// 
//       Filename:  returnexception.cpp
// 
//    Description:  
// 
//        Version:  1.0
//        Created:  18.06.2010 12:56:33
//       Revision:  none
//       Compiler:  g++
// 
//         Author:  Dominik 'domachine' Burgdörfer (-), dominik.burgdoerfer@googlemail.com
//        Company:  -
// 
// =======================================================================

#include "returnexception.hpp"

namespace wesl {
    namespace exceptions {
        ReturnException::ReturnException(types::ObjectPtr object,
                const std::string& whatArg,
                const boost::filesystem::path& file,
                int line)
            : ProcessingError(whatArg, file, line), 
            m_object(object)
        {

        }

        types::ObjectPtr ReturnException::object() const {
            return m_object;
        }
    }
}
