// =======================================================================
// 
//       Filename:  returnexception.hpp
// 
//    Description:  
// 
//        Version:  1.0
//        Created:  18.06.2010 12:52:40
//       Revision:  none
//       Compiler:  g++
// 
//         Author:  Dominik 'domachine' Burgdörfer (-), dominik.burgdoerfer@googlemail.com
//        Company:  -
// 
// =======================================================================


#ifndef  EXCEPTIONS_RETURNEXCEPTION_INC
#define  EXCEPTIONS_RETURNEXCEPTION_INC
#include "processingerror.hpp"
#include "../elements/element.hpp"

namespace wesl {
    namespace exceptions {
        class ReturnException : public ProcessingError
        {
        public:
            ReturnException(types::ObjectPtr object,
                            const std::string& whatArg,
                            const boost::filesystem::path& file,
                            int line);

            types::ObjectPtr object() const;

        private:
            types::ObjectPtr m_object;
        };
    }
}
#endif   // ----- #ifndef EXCEPTIONS_RETURNEXCEPTION_INC  -----
