// =======================================================================
// 
//       Filename:  syntaxerror.cpp
// 
//    Description:  
// 
//        Version:  1.0
//        Created:  27.03.2010 16:40:13
//       Revision:  none
//       Compiler:  g++
// 
//         Author:  Dominik 'domachine' Burgdörfer (-), dominik.burgdoerfer@googlemail.com
//        Company:  -
// 
// =======================================================================

#include "syntaxerror.hpp"

namespace fs = boost::filesystem;

namespace wesl {
    namespace exceptions {
        SyntaxError::SyntaxError(const std::string& what,
                int line,
                const fs::path& file)
            : ParsingError(file, what), 
            mLine(line)
        {

        }

        int SyntaxError::line() const
        {
            return mLine;
        }
    }
}
