// =======================================================================
// 
//       Filename:  macro.hpp
// 
//    Description:  
// 
//        Version:  1.0
//        Created:  30.06.2010 11:43:36
//       Revision:  none
//       Compiler:  g++
// 
//         Author:  Dominik 'domachine' Burgdörfer (-), dominik.burgdoerfer@googlemail.com
//        Company:  -
// 
// =======================================================================


#ifndef  MACRO_INC
#define  MACRO_INC
#include "subroutine.hpp"

namespace wesl {
    class CallInfo;
    
    namespace symbols {
        class Macro : public Subroutine
        {
        public:
            Macro(const boost::filesystem::path& sourcePath =
                    boost::filesystem::path(),
                    const std::vector<std::string>& argumentNameList =
                                std::vector<std::string>());

            virtual void call(CallInfo& callInfo, std::ostream& stream);
        };

        typedef boost::shared_ptr<Macro> MacroPtr;
    }
}
#endif   // ----- #ifndef MACRO_INC  -----
