// =======================================================================
// 
//       Filename:  float.hpp
// 
//    Description:  
// 
//        Version:  1.0
//        Created:  24.04.2010 00:47:03
//       Revision:  none
//       Compiler:  g++
// 
//         Author:  Dominik 'domachine' Burgdörfer (-), dominik.burgdoerfer@googlemail.com
//        Company:  -
// 
// =======================================================================


#ifndef  FLOAT_INC
#define  FLOAT_INC
#include "object.hpp"
#include <boost/shared_ptr.hpp>

namespace wesl {
    namespace types {
        class Float : public Object {
        public:
            Float(double f);

            operator float();

            void print(std::ostream& stream);

        private:
            double mDouble;
        };

        typedef boost::shared_ptr<Float> FloatPtr;
    }
}
#endif   // ----- #ifndef FLOAT_INC  -----
