// =======================================================================
// 
//       Filename:  integer.cpp
// 
//    Description:  
// 
//        Version:  1.0
//        Created:  24.04.2010 00:10:29
//       Revision:  none
//       Compiler:  g++
// 
//         Author:  Dominik 'domachine' Burgdörfer (-), dominik.burgdoerfer@googlemail.com
//        Company:  -
// 
// =======================================================================

#include "integer.hpp"
namespace wesl {
    namespace types {
        Integer::Integer(int i)
            : Object(INTEGER), mInt(i)
        {

        }

        Integer::operator int() {
            return mInt;
        }

        void Integer::print(std::ostream& stream) {
            stream << static_cast<int>(*this);
        }
    }
}
