// =======================================================================
// 
//       Filename:  integer.hpp
// 
//    Description:  
// 
//        Version:  1.0
//        Created:  24.04.2010 00:08:16
//       Revision:  none
//       Compiler:  g++
// 
//         Author:  Dominik 'domachine' Burgdörfer (-), dominik.burgdoerfer@googlemail.com
//        Company:  -
// 
// =======================================================================


#ifndef  INTEGER_INC
#define  INTEGER_INC
#include "object.hpp"
#include <boost/shared_ptr.hpp>

namespace wesl {
    namespace types {
        class Integer : public Object {
        public:
            Integer(int i);

            operator int();

            void print(std::ostream& stream);

        private:
            int mInt;
        };

        typedef boost::shared_ptr<Integer> IntegerPtr;
    }
}
#endif   // ----- #ifndef INTEGER_INC  -----
