// =======================================================================
// 
//       Filename:  void.cpp
// 
//    Description:  
// 
//        Version:  1.0
//        Created:  17.06.2010 06:42:11
//       Revision:  none
//       Compiler:  g++
// 
//         Author:  Dominik 'domachine' Burgdörfer (-), dominik.burgdoerfer@googlemail.com
//        Company:  -
// 
// =======================================================================

#include "void.hpp"
#include "../elements/objectwrapper.hpp"
#include <boost/shared_ptr.hpp>

namespace wesl {
    namespace types {
        Void::Void()
            : Object(Object::VOID)
        {

        }

        void Void::print(std::ostream& stream) {
            // Void doesn't print anything :-)
        }

        VoidPtr voidPtr() {
            types::VoidPtr voidPtr(new types::Void());
            return voidPtr;
        }

        elements::ObjectWrapperPtr voidElement() {
            return elements::wrapObject(voidPtr());
        }
    }
}
