// =======================================================================
// 
//       Filename:  regexitermatch.hpp
// 
//    Description:  
// 
//        Version:  1.0
//        Created:  09.05.2010 15:57:30
//       Revision:  none
//       Compiler:  g++
// 
//         Author:  Dominik 'domachine' Burgdörfer (-), dominik.burgdoerfer@googlemail.com
//        Company:  -
// 
// =======================================================================


#ifndef  REGEXITERMATCH_INC
#define  REGEXITERMATCH_INC
#include <boost/regex.hpp>

namespace wesl {
    namespace utils {
        // Forward declaration
        class CIterator;

        /**
         * @brief Checks whether the current char, CIterator
         *          points to, matches the regex.
         */
        bool regexIterMatch(CIterator& iter, 
                            const boost::regex& regex);
    }
}
#endif   // ----- #ifndef REGEXITERMATCH_INC  -----
