// =======================================================================
// 
//       Filename:  parser.hpp
// 
//    Description:  
// 
//        Version:  1.0
//        Created:  10.05.2010 16:21:00
//       Revision:  none
//       Compiler:  g++
// 
//         Author:  Dominik 'domachine' Burgdörfer (-), dominik.burgdoerfer@googlemail.com
//        Company:  -
// 
// =======================================================================


#ifndef  PAGE_PARSER_INC
#define  PAGE_PARSER_INC
#include <wesl/processor.hpp>

namespace webplodder {
    namespace page {
        // Forward declaration
        class Page;

        /**
         * @brief Used to parse a page file.
         */
        class Parser {
        public:
            Parser();

            /**
             * @brief Parses <i>page</i>.
             */
            void parse(Page& page);
            void parseBody(Page& page, 
                           wesl::ElementStack::VariableMap& variableMap);
        };
    }
}
#endif   // ----- #ifndef PARSER_INC  -----
