// =======================================================================
// 
//       Filename:  comparenodes.hpp
// 
//    Description:  
// 
//        Version:  1.0
//        Created:  03.05.2010 18:15:42
//       Revision:  none
//       Compiler:  g++
// 
//         Author:  Dominik 'domachine' Burgdörfer (-), dominik.burgdoerfer@googlemail.com
//        Company:  -
// 
// =======================================================================


#ifndef  COMPARENODES_INC
#define  COMPARENODES_INC

namespace webplodder {
    // Forward declaration
    namespace navigation {
        class Node;
    }

    namespace utils {
        /**
         * @brief Helper function to compare two 
         *          navigation::Node objects.
         * @param node1 first navigation::Node object
         * @param node2 second navigation::Node object
         */
        bool compareNodes(const navigation::Node& node1,
                          const navigation::Node& node2);
    }
}
#endif   // ----- #ifndef COMPARENODES_INC  -----
